﻿using System;
using System.ComponentModel.DataAnnotations;
using EPiServer.Core;
using EPiServer.DataAbstraction;
using EPiServer.DataAnnotations;
using EPiServer.SpecializedProperties;

namespace AlloyCustomLogin.Models.Pages
{
    [ContentType(DisplayName = "Login Page", 
        GUID = "ad11aa05-21cc-47df-bdd9-b13497cc14d1", 
        Description = "Login Page")]
    [SiteImageUrl(Global.StaticGraphicsFolderPath + "page-type-thumbnail-article.png")]
    [AvailableContentTypes(Availability = Availability.Specific,
        IncludeOn = new[] { typeof(StartPage) },
        ExcludeOn = new[] { typeof(ContainerPage), typeof(ProductPage), typeof(StandardPage), typeof(ISearchPage), typeof(LandingPage) })]
    [Access(Access = EPiServer.Security.AccessLevel.Create, Roles = "WebAdmins")]
    public class LoginPage : StandardPage
    {

    }
}